/*
 * FONTS
 */
@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url('/assets/fonts/Poppins-Regular.woff2') format('woff2'),
    url('/assets/fonts/Poppins-Regular.woff') format('woff');
}

@font-face {
  font-family: 'Poppins';
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url('/assets/fonts/Poppins-Semibold.woff2') format('woff2'),
    url('/assets/fonts/Poppins-Semibold.woff') format('woff');
}

* {
  font-family: 'Poppins', 'Inter UI', 'Inter-UI', 'SF Pro Display', 'SF UI Text', 'Helvetica Neue', Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/*
 * BASE
 */
body,
html {
  margin: 0;
  height: 100%;
  background: #000000;
}

svg {
  outline: none;
}

a {
  text-decoration: none;
}

.col-1200 {
  max-width: 1200px;
  padding: 0 8%;
  margin: 0 auto;
}

.arrow {
  fill: currentColor;
}

/*
 * HEADER
 */
.header {
  padding: 70px 0 120px 0;
}

@media (max-width: 500px) {
  .header {
    padding: 50px 0 100px 0;
  }
}

.top {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-link {
  color: #ffffff;
  font-weight: 600;
  font-size: 15px;

  background-clip: text;
  -webkit-text-fill-color: transparent;
  background-image: linear-gradient(135deg, #ffffff 0%, #ffffff 25%, #707070 50%, #ffffff 75%, #ffffff 100%);
  background-size: 400%;

  transition: all 0.5s ease-out;
}

.header-link:hover {
  background-position: 100%;
}

.tagline {
  max-width: 700px;
  margin: 120px auto 0 auto;

  color: #ffffff;
  font-weight: 600;
  font-size: 64px;
  text-align: center;
  line-height: 1.4;
}

@media (max-width: 800px) {
  .tagline {
    max-width: 500px;
    font-size: 40px;
  }
}

@media (max-width: 500px) {
  .tagline {
    font-size: 30px;
    margin-top: 90px;
  }
}

/*
 * APPS
 */
.apps {
  margin-top: 150px;
}

@media (max-width: 950px) {
  .apps {
    margin-top: 30px;
  }
}

.apps .col-1200 {
  display: flex;
  justify-content: space-between;
}

@media (max-width: 950px) {
  .apps .col-1200 {
    flex-direction: column;
    align-items: center;
  }
}

.app {
  width: calc(33.333333% - 32px);

  text-align: center;
  padding: 48px;
  box-sizing: border-box;
  display: block;

  border-radius: 40px;
  background: #000000;

  transition: transform 0.2s ease-out;
}

.app:hover {
  transform: scale(1.02);
}

@media (max-width: 1200px) {
  .app {
    padding: 40px;
  }
}

@media (max-width: 950px) {
  .app {
    width: 400px;
    margin-bottom: 40px;
  }
}

@media (max-width: 500px) {
  .app {
    width: 100%;
    margin-bottom: 40px;
  }
}

.app.-pixelsnap {
  box-shadow: 0px -90px 250px 70px rgba(255, 86, 104, 0.35);
  z-index: 1;
  animation: pixelsnap 5s infinite cubic-bezier(0.38, 0.13, 0.61, 0.86);
}

.app.-cleanshot {
  box-shadow: 0px -90px 250px 70px rgba(46, 129, 255, 0.35);
  z-index: 2;
  position: relative;
  top: -150px;
  animation: cleanshot 5s infinite cubic-bezier(0.38, 0.13, 0.61, 0.86);
}

.app.-topnotch {
  box-shadow: 0px -90px 250px 70px rgba(201, 40, 247, 0.35);
  z-index: 1;
  animation: topnotch 5s infinite cubic-bezier(0.38, 0.13, 0.61, 0.86);
}

@media (max-width: 950px) {
  .app.-pixelsnap {
    order: 2;
    z-index: 2;
  }

  .app.-cleanshot {
    top: 0;
    order: 1;
    z-index: 2;
  }

  .app.-topnotch {
    order: 3;
  }
}

@keyframes pixelsnap {
  0% {
    box-shadow: 0px -90px 250px 70px rgba(255, 86, 104, 0.35);
  }
  25% {
    box-shadow: 30px -90px 250px 30px rgba(255, 86, 104, 0.35);
  }
  50% {
    box-shadow: 0px -90px 250px 45px rgba(255, 86, 104, 0.35);
  }
  75% {
    box-shadow: 0px -90px 250px 90px rgba(255, 86, 104, 0.35);
  }
  100% {
    box-shadow: 0px -90px 250px 70px rgba(255, 86, 104, 0.35);
  }
}

@keyframes cleanshot {
  0% {
    box-shadow: 0px -90px 250px 70px rgba(46, 129, 255, 0.35);
  }
  25% {
    box-shadow: -30px -90px 250px 90px rgba(46, 129, 255, 0.35);
  }
  50% {
    box-shadow: 0px -90px 250px 30px rgba(46, 129, 255, 0.35);
  }
  75% {
    box-shadow: 40px -90px 250px 45px rgba(46, 129, 255, 0.35);
  }
  100% {
    box-shadow: 0px -90px 250px 70px rgba(46, 129, 255, 0.35);
  }
}

@keyframes topnotch {
  0% {
    box-shadow: 0px -90px 250px 70px rgba(201, 40, 247, 0.35);
  }
  25% {
    box-shadow: -30px -90px 250px 50px rgba(201, 40, 247, 0.35);
  }
  50% {
    box-shadow: 0px -90px 250px 60px rgba(201, 40, 247, 0.35);
  }
  75% {
    box-shadow: 20px -90px 250px 90px rgba(201, 40, 247, 0.35);
  }
  100% {
    box-shadow: 0px -90px 250px 70px rgba(201, 40, 247, 0.35);
  }
}

.app .logo {
  display: inline-block;
}

@media (max-width: 1200px) {
  .app .logo {
    width: 100px;
    height: 100px;
  }
}

.app .name {
  margin-top: 10px;
  margin-bottom: 0;

  color: #ffffff;
  font-weight: 600;
  font-size: 32px;
}

@media (max-width: 1200px) {
  .app .name {
    font-size: 25px;
  }
}

@media (max-width: 950px) {
  .app .name {
    font-size: 32px;
  }
}

.app .description {
  margin-top: 8px;
  margin-bottom: 0;

  color: #b2b3b3;
  font-weight: 400;
  font-size: 17px;
}

@media (max-width: 1200px) {
  .app .description {
    font-size: 15px;
  }
}

@media (max-width: 950px) {
  .app .description {
    font-size: 17px;
  }
}

.app .link {
  display: inline-block;
  margin-top: 30px;

  font-weight: 600;
  font-size: 18px;

  background-clip: text;
  -webkit-text-fill-color: transparent;
  background-size: 200%;

  transition: all 0.2s ease-out;
}

@media (max-width: 1200px) {
  .app .link {
    font-size: 16px;
  }
}

@media (max-width: 950px) {
  .app .link {
    font-size: 18px;
  }
}

.app .link .arrow {
  margin-left: 4px;
  transition: all 0.2s ease-out;
}

.app .link.-pixelsnap {
  color: #fe4771;
  background-image: linear-gradient(135deg, #ff8f42 0%, #fe4771 50%, #ff8f42 100%);
}

.app .link.-cleanshot {
  color: #2D8EFE;
  background-image: linear-gradient(135deg, #86cdff 0%, #2D8EFE 50%, #86cdff 100%);
}

.app .link.-topnotch {
  color: #8c19ff;
  background-image: linear-gradient(135deg, #ee73be 0%, #8c19ff 50%, #ee73be 100%);
}

.app:hover .link .arrow {
  transform: translateX(2px);
}

.app:hover .link.-pixelsnap {
  color: #ff8f42;
  background-position: 100%;
}

.app:hover .link.-cleanshot {
  color: #86cdff;
  background-position: 100%;
}

.app:hover .link.-topnotch {
  color: #ee73be;
  background-position: 100%;
}

/*
 * FOOTER
 */
.footer {
  padding: 100px 0 40px 0;
  text-align: center;
}

.button {
  height: 70px;

  padding: 3px 40px 0 40px;
  display: inline-flex;
  align-items: center;
  justify-content: center;

  font-weight: 600;
  font-size: 22px;
  color: #FFFFFF;

  background: #0062F5;
  box-shadow: 0px 10px 90px rgba(0, 98, 245, 0.6);
  border: none;
  border-radius: 35px;
  cursor: pointer;
  transition: all 0.2s ease;
}

.button .arrow {
  margin-left: 10px;
  transition: transform 0.2s ease-out;
}

.button:hover {
  background: #277bf9;
  box-shadow: 0px 10px 90px rgba(0, 98, 245, 0.7);
}

.button:hover .arrow {
  transform: translateX(2px);
}

.copyright {
  margin-top: 150px;
  margin-bottom: 0;

  font-size: 15px;
  color: #b8b8b8;
}
